From bunk@stusta.de Thu Jun 30 15:38:24 2005
Date: Fri, 1 Jul 2005 00:17:27 +0200
From: Adrian Bunk <bunk@stusta.de>
To: Sebastian Pigulak <dreamin@interia.pl>
Cc: Sebastian Witt <se.witt@gmx.net>, <khali@linux-fr.org>
Subject: I2C: SENSORS_ATXP1 must select I2C_SENSOR
Message-ID: <20050630221727.GE27478@stusta.de>

On Thu, Jun 30, 2005 at 11:47:09PM +0200, Sebastian Pigulak wrote:
> I've tried patching linux-2.6.13-RC1 with patch-2.6.13-rc1-git2 and
> building atxp1(it allows Vcore voltage changing) into the kernel.
> Unfortunately, the kernel compilation stops with:
> 
> LD      init/built-in.o
> LD      vmlinux
> drivers/built-in.o(.text+0x92298): In function `atxp1_detect':
> : undefined reference to `i2c_which_vrm'
> drivers/built-in.o(.text+0x921ae): In function `atxp1_attach_adapter':
> : undefined reference to `i2c_detect'
> make: *** [vmlinux] B??d 1
> ==> ERROR: Build Failed.  Aborting... 
> 
> Could someone have a look at the module and possibly fix it up?


SENSORS_ATXP1 must select I2C_SENSOR.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/i2c/chips/Kconfig |    1 +
 1 files changed, 1 insertion(+)

--- gregkh-2.6.orig/drivers/i2c/chips/Kconfig	2005-07-01 14:44:07.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/Kconfig	2005-07-01 14:44:14.000000000 -0700
@@ -80,6 +80,7 @@
 config SENSORS_ATXP1
 	tristate "Attansic ATXP1 VID controller"
 	depends on I2C && EXPERIMENTAL
+	select I2C_SENSOR
 	help
 	  If you say yes here you get support for the Attansic ATXP1 VID
 	  controller.
